<?php

/*
 * This file is part of the Symfony package.
 *
 * (c) Fabien Potencier <fabien@symfony.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Symfony\Component\Routing\Matcher;

/**
 * UrlMatcherInterface is the interface that all URL matcher classes must implements.
 *
 * @author Fabien Potencier <fabien@symfony.com>
 */
interface UrlMatcherInterface
{
    /**
     * Tries to match a URL with a set of routes.
     *
     * Returns false if no route matches the URL.
     *
     * @param  string $pathinfo The path info to be parsed
     *
     * @return array|false An array of parameters or false if no route matches
     */
    function match($pathinfo);
}
